Package org.h2.security.auth

# Class AuthenticatorFactory

java.lang.Object
org.h2.security.auth.AuthenticatorFactory

public class AuthenticatorFactory extends Object
Authenticator factory

## Constructor Summary

Constructors
Constructor
Description
`AuthenticatorFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Authenticator`
`createAuthenticator()`
Factory method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticatorFactory

public AuthenticatorFactory()

## Method Details

### createAuthenticator

public static Authenticator createAuthenticator()
Factory method.

Returns:
  authenticator instance.